
Redmine - Feature #2539

New project setting: mandatory/optional configuration for target version issue-attribute

2009-01-19 14:35 - Benson M

Status: New Start date: 2009-01-19

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Is it possible to have a per project setting for the issues' target version to either make it compulsory or optional? We need to have this

for our project as some have versions while others don't.

Related issues:

Related to Redmine - Feature #3516: Hide "Target version" for projects that d... New 2009-06-19

Related to Redmine - Feature #8050: Mightful workflow field enhancement:  vis... Closed 2011-04-03

Related to Redmine - Feature #12005: Mightful workflow field enhancement: hide New

Related to Redmine - Feature #850: Per-project role permissions New 2008-03-14

Related to Redmine - Feature #4015: Make app settings overridable at project ... New 2009-10-10

History

#1 - 2011-11-24 04:52 - Mischa The Evil

- Tracker changed from Patch to Feature

- Subject changed from Target Version to New project setting: mandatory/optional configuration for target version issue-attribute

- Assignee deleted (Maxim Krušina)

#2 - 2013-03-18 16:26 - Daniel Felix

Well currently there is no option.

#12005 would give you the ability to build a workaround. Just create some additional roles to set some fields as required or not.

Maybe #12005 could be enhanced to be set on per project base.

#3 - 2013-03-25 16:07 - Dipan Mehta

Actually it is not the dependency on #12005 really. Effective 2.1.0 with #703, the said configuration on Target version is actually possible.

What is NOT possible is that the configuration can be changed on Per-project basis. For that there are other issues filed.

This issue is related to #850 and #4015.
